### 5.2.16 ~ (break point)

`Syntax:`
  `~;`
`Purpose:`
  sets a break point. Whenever SINGULAR reaches the command `~;` in a sequence of commands it prompts for input. The user may now input lines of SINGULAR commands. The line length cannot exceed 80 characters. SINGULAR proceeds with the execution of the command following `~;` as soon as it receives an empty line.
  Furthermore, the debug mode will be activated: See Source code debugger.
`Example:`

      proc t
      {
        int i=2;
        ~;
        return(i+1);
      }
      t();
      ==> -- break point in t --
      ==> -- 0: called    from STDIN --
      // here local variables of the procedure can be accessed
      i;
      ==> 2
      ==> -- break point in t --

      ==> 3

See Break points.

User manual for Singular version 4.4.1, 2025, generated by texi2html.